package kcg.faics.tg.vo;

import kcg.faics.cmmn.bbs.BaseSearchVO;
import kcg.faics.tg.FerryRouteType;

/**
 * 국제여객선 검색정보 Value Object.
 * 
 * @author kimnomin
 *
 */
public class FerrySearchVO extends BaseSearchVO {
	/**
	 * 항로(한-중, 한-러, 한-일, 금강산).
	 */
	private String ferryRoute;
	/**
	 * 항로 표현 문자열.
	 */
	private String ferryRouteStr;

	/**
	 * @return the ferryRoute
	 */
	public final String getFerryRoute() {
		return ferryRoute;
	}

	/**
	 * @param ferryRoute the ferryRoute to set
	 */
	public final void setFerryRoute(final String ferryRoute) {
		this.ferryRoute = ferryRoute;
		
		setFerryRouteStr(FerryRouteType.getValue(ferryRoute));
	}

	/**
	 * @return the ferryRouteStr
	 */
	public final String getFerryRouteStr() {
		return ferryRouteStr;
	}

	/**
	 * @param ferryRouteStr the ferryRouteStr to set
	 */
	public final void setFerryRouteStr(final String ferryRouteStr) {
		this.ferryRouteStr = ferryRouteStr;
	}
}
